NXOpen.UF.Curve.CreateArcTangentTangentPoint

Curve.CreateArcTangentTangentPoint()

Refer to UF_CURVE_create_arc_tangent_tangent_point for documentation.

Signature: CreateArcTangentTangentPoint(tangentObject1, tangentObject2, point, helpDataP, limitP, supportPlane, isAsso)

Parameters:
  • tangentObject1 (Tag) – tag of tangent object at start
  • tangentObject2 (Tag) – tag of tangent object at end
  • point (Tag) – tag of middle point
  • helpDataP (list of NXOpen.UF.Curve.HelpData Refer to UF_CURVE_help_data_s for documentation.) – help data for tangent
  • limitP (list of NXOpen.UF.Curve.Limit Refer to UF_CURVE_limit_s for documentation.) – extension limits
  • supportPlane (Tag) – tag of support plane of the arc
  • isAsso (bool) – true - if associative, false - if not associative
Returns:

if is_asso == TRUE - object identifier of new associative arc feature if is_asso == FALSE - object identifier of new associative arc

Return type:

Tag

License requirements: SOLIDS MODELING or DRAFTING